We've moved!
This site is now read-only. You can find our new documentation site and support forum for posting questions here.
Be sure to read our welcome blog!

Unsupported major.minor version 52.0 - do I need java 8?

jwimbishjwimbish Member
edited March 2016 in GenomeSTRiP

Hi all,

I am trying to run the SVPreprocess step of genomeSTRIP. The documentation says I need java 1.7 (which is installed), but when I try to run the tool I get an error that suggests I need java 1.8. Does GenomeSTRIP require java 8 now?

INFO 06:56:38,832 QCommandLine - Done with errors
Exception in thread "main" java.lang.UnsupportedClassVersionError: org/broadinstitute/sv/queue/ComputeGenomeLocusPartitions : Unsupported major.minor version 52.0
at java.lang.ClassLoader.defineClass1(Native Method)
at java.lang.ClassLoader.defineClass(ClassLoader.java:800)
at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:142)
at java.net.URLClassLoader.defineClass(URLClassLoader.java:449)
at java.net.URLClassLoader.access$100(URLClassLoader.java:71)
at java.net.URLClassLoader$1.run(URLClassLoader.java:361)
at java.net.URLClassLoader$1.run(URLClassLoader.java:355)
at java.security.AccessController.doPrivileged(Native Method)
at java.net.URLClassLoader.findClass(URLClassLoader.java:354)
at java.lang.ClassLoader.loadClass(ClassLoader.java:425)
at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:308)
at java.lang.ClassLoader.loadClass(ClassLoader.java:358)
at org.broadinstitute.sv.qscript.SVQScript.computeLocusPartitions(SVQScript.q:286)
at org.broadinstitute.sv.qscript.SVQScript.mergeReadCountsByLocus(SVQScript.q:837)
at org.broadinstitute.sv.preprocess.SVPreprocess.mergeReadCounts(SVPreprocess.q:183)
at org.broadinstitute.sv.preprocess.SVPreprocess.createTwoStepScript(SVPreprocess.q:161)
at org.broadinstitute.sv.preprocess.SVPreprocess.script(SVPreprocess.q:102)
at org.broadinstitute.gatk.queue.QCommandLine$$anonfun$execute$5.apply(QCommandLine.scala:155)
at org.broadinstitute.gatk.queue.QCommandLine$$anonfun$execute$5.apply(QCommandLine.scala:146)
at scala.collection.Iterator$class.foreach(Iterator.scala:727)
at scala.collection.AbstractIterator.foreach(Iterator.scala:1157)
at scala.collection.IterableLike$class.foreach(IterableLike.scala:72)
at scala.collection.AbstractIterable.foreach(Iterable.scala:54)
at org.broadinstitute.gatk.queue.QCommandLine.execute(QCommandLine.scala:146)
at org.broadinstitute.gatk.utils.commandline.CommandLineProgram.start(CommandLineProgram.java:248)
at org.broadinstitute.gatk.utils.commandline.CommandLineProgram.start(CommandLineProgram.java:155)
at org.broadinstitute.gatk.queue.QCommandLine$.main(QCommandLine.scala:61)
at org.broadinstitute.gatk.queue.QCommandLine.main(QCommandLine.scala)

java -version
java version "1.7.0_65"
OpenJDK Runtime Environment (IcedTea 2.5.2) (7u65-2.5.2-3~14.04)
OpenJDK 64-Bit Server VM (build 24.65-b04, mixed mode)

Best Answer

Answers

Sign In or Register to comment.